# Role : docker_grafana

## Services fournis

- main.yml : Installation de grafana sur un serveur docker_host


## Variables

Fournir les variables suivantes. Par exemple :

```yaml
docker_grafana_fqdn: grafana.local.lan
docker_grafana_version: 8.5.4-ubuntu
docker_grafana_data_dir: /data1
docker_grafana_service_id: grafana
docker_grafana_admin_user: admin
docker_grafana_admin_password: motdepasseadmin
```

| Option                        | Valeur par défaut | Description                                                                                |
|-------------------------------|-------------------|--------------------------------------------------------------------------------------------|
| docker_grafana_fqdn           |                   | Le fqdn pour accéder à grafana                                                             |
| docker_grafana_version        |                   | Version de l'image grafana                                                                 |
| docker_grafana_data_dir       |                   | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service        |
| docker_grafana_service_id     |                   | Le nom de service souhaité : conditionne le nommage des dossiers et le routage par traefik |
| docker_grafana_admin_user     | admin             | Nom par défaut du user admin de grafana de départ                                          |
| docker_grafana_admin_password | admin             | Mot de passe par défaut du user admin de grafana de départ                                 |


## Configuration de grafana

Configurer grafana dans grafana.ini à côté du docker-compose.yml

Après un premier démarrage de grafana, il est préférable de créer un ou plusieurs administrateurs personnels et de supprimer le compte par défaut.
